import re
import string
import sys
import time
import threading
import socket

class Parser(threading.Thread):

    def __init__(self, agent, plugin):
        self.agent  = agent

        # link agent atributes and methods to use them. why???
        self.conn      = agent.conn
        self.reconnect = agent.reconnect

        self.plugin = plugin
        threading.Thread.__init__(self)

    def run(self):
    
        if self.plugin["name"] == 'snort':
            from ProcessSnort import ProcessSnort
            snort = ProcessSnort(self, self.plugin)
            snort.process()
            
        elif self.plugin["name"] == 'fw-1':
            from ProcessFW1 import ProcessFW1
            fw1 = ProcessFW1(self, self.plugin)
            fw1.process()
            
        elif self.plugin["name"] == 'apache':
            from ProcessApache import ProcessApache
            apache = ProcessApache(self, self.plugin)
            apache.process()
            
        elif self.plugin["name"] == 'iis':
            from ProcessIIS import ProcessIIS
            iis = ProcessIIS(self, self.plugin)
            iis.process()
            
        elif self.plugin["name"] == 'iptables':
            from ProcessIptables import ProcessIptables
            iptables = ProcessIptables(self, self.plugin)
            iptables.process()

        else:
            print "Plugin " + self.plugin["name"] + " is not implemented..."
            sys.exit()


    def sendMessage(self, type, date, sensor, plugin, tplugin, priority,
                    protocol, src_ip, src_port, dst_ip, dst_port):

        message = 'message '
        if type:        message +=  '[type='      + str(type)      + ']'
        if date:        message +=  '[date="'     + str(date)      + '"]'
        if sensor:      message +=  '[sensor='    + str(sensor)    + ']'
        if plugin:      message +=  '[plugin='    + str(plugin)    + ']'
        if tplugin:     message +=  '[tplugin='   + str(tplugin)   + ']'
        if priority:    message +=  '[priority='  + str(priority)  + ']'
        if protocol:    message +=  '[protocol='  + str(protocol)  + ']'
        if src_ip:      message +=  '[src_ip='    + str(src_ip)    + ']'
        if src_port:    message +=  '[src_port='  + str(src_port)  + ']'
        if dst_ip:      message +=  '[dst_ip='    + str(dst_ip)    + ']'
        if dst_port:    message +=  '[dst_port='  + str(dst_port)  + ']'

        try:
            if self.conn:
                if priority > 0 :
                    self.conn.send(message + '\n')
                    print message + '\n' # debug
            else:
                print 'Trying to connect in 10 seconds\n'
                time.sleep(10)
                self.conn = self.agent.reconnect()
        except socket.error, e:
            print 'Error sending data: %s' % (e)
            print 'Retrying in 10 seconds\n'
            time.sleep(10)
            self.conn = self.agent.reconnect()

